# -*- encoding: utf-8 -*-
# stub: mongo_mapper_parallel 1.0.9.3 ruby lib

Gem::Specification.new do |s|
  s.name = "mongo_mapper_parallel".freeze
  s.version = "1.0.9.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jonathan Raiman".freeze]
  s.date = "2013-11-19"
  s.description = "Mongo Mapper Parallel can perform MapReduce-like operations on an entire collection in parallel. This is a non-blocking operation, so the scripts can invoke database methods (db.collection.update, db.collection.insert, etc...) at blazing speed.".freeze
  s.email = "jraiman@mit.edu".freeze
  s.homepage = "http://github.org/JonathanRaiman/mongo_mapper_parallel".freeze
  s.licenses = ["MIT".freeze]
  s.requirements = ["MongoDB, 2.4+".freeze, "mongo_mapper".freeze, "parallel".freeze, "jraiman_progressbar".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Extremely fast non-blocking parallel javascripts on entire MongoDB collection with MongoMapper adapter.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<mongo_mapper>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<parallel>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<jraiman_progressbar>.freeze, [">= 0"])
  else
    s.add_dependency(%q<mongo_mapper>.freeze, [">= 0"])
    s.add_dependency(%q<parallel>.freeze, [">= 0"])
    s.add_dependency(%q<jraiman_progressbar>.freeze, [">= 0"])
  end
end
